commit f5dad6cae625276ef7a935d68466922ede7c649b
Author: GCC Administrator <gccadmin@gcc.gnu.org>
Date:   Thu Nov 19 00:17:09 2020 +0000

    Daily bump.

diff --git a/gcc/DATESTAMP b/gcc/DATESTAMP
index 6ee7c2ae987..f5efa497de1 100644
--- a/gcc/DATESTAMP
+++ b/gcc/DATESTAMP
@@ -1 +1 @@
-20201118
+20201119
diff --git a/gcc/d/ChangeLog b/gcc/d/ChangeLog
index dc390cf670b..3c88c08a1de 100644
--- a/gcc/d/ChangeLog
+++ b/gcc/d/ChangeLog
@@ -1,3 +1,41 @@
+2020-11-18  Iain Buclaw  <ibuclaw@gdcproject.org>
+
+	Backported from master:
+	2020-11-18  Iain Buclaw  <ibuclaw@gdcproject.org>
+
+	PR d/97843
+	* d-codegen.cc (build_assign): Evaluate TARGET_EXPR before use in
+	the right hand side of an assignment.
+	* expr.cc (ExprVisitor::visit (CatAssignExp *)): Force a TARGET_EXPR
+	on the element to append if it is a CALL_EXPR.
+
+2020-11-18  Iain Buclaw  <ibuclaw@gdcproject.org>
+
+	Backported from master:
+	2020-11-18  Iain Buclaw  <ibuclaw@gdcproject.org>
+
+	PR d/97842
+	* dmd/cond.c (StaticIfCondition::include): Return error if condition
+	expression is unset.
+	* dmd/mtype.c (TypeTypeof::resolve): Return error if scope is unset.
+
+2020-11-18  Iain Buclaw  <ibuclaw@gdcproject.org>
+
+	Backported from master:
+	2020-11-13  Iain Buclaw  <ibuclaw@gdcproject.org>
+
+	* intrinsics.cc (expand_intrinsic_copysign): Explicitly determine
+	which built-in copysign function to call.
+
+2020-11-18  Iain Buclaw  <ibuclaw@gdcproject.org>
+
+	Backported from master:
+	2020-10-27  Iain Buclaw  <ibuclaw@gdcproject.org>
+
+	* dmd/dtemplate.c (TemplateInstance::semantic): Propagate the root
+	module where the instantiated template should belong from the instance
+	to all member scopes.
+
 2020-10-12  Iain Buclaw  <ibuclaw@gdcproject.org>
 
 	Backported from master:
diff --git a/gcc/po/ChangeLog b/gcc/po/ChangeLog
index 2e53e585afb..df722e5bbaa 100644
--- a/gcc/po/ChangeLog
+++ b/gcc/po/ChangeLog
@@ -1,3 +1,7 @@
+2020-11-18  Joseph Myers  <joseph@codesourcery.com>
+
+	* zh_TW.po: Update.
+
 2020-07-29  Joseph Myers  <joseph@codesourcery.com>
 
 	* ja.po, sv.po: Update.
diff --git a/gcc/testsuite/ChangeLog b/gcc/testsuite/ChangeLog
index 1a71f8cbc6f..ce881e72d89 100644
--- a/gcc/testsuite/ChangeLog
+++ b/gcc/testsuite/ChangeLog
@@ -1,3 +1,37 @@
+2020-11-18  Iain Buclaw  <ibuclaw@gdcproject.org>
+
+	Backported from master:
+	2020-11-18  Iain Buclaw  <ibuclaw@gdcproject.org>
+
+	PR d/97843
+	* gdc.dg/pr97843.d: New test.
+
+2020-11-18  Iain Buclaw  <ibuclaw@gdcproject.org>
+
+	Backported from master:
+	2020-11-18  Iain Buclaw  <ibuclaw@gdcproject.org>
+
+	PR d/97842
+	* gdc.test/fail_compilation/fail18970.d: New test.
+	* gdc.test/fail_compilation/imports/test21164a.d: New test.
+	* gdc.test/fail_compilation/imports/test21164b.d: New test.
+	* gdc.test/fail_compilation/imports/test21164c.d: New test.
+	* gdc.test/fail_compilation/imports/test21164d.d: New test.
+	* gdc.test/fail_compilation/test21164.d: New test.
+
+2020-11-18  Iain Buclaw  <ibuclaw@gdcproject.org>
+
+	Backported from master:
+	2020-10-27  Iain Buclaw  <ibuclaw@gdcproject.org>
+
+	* gdc.test/compilable/imports/test21299/func.d: New test.
+	* gdc.test/compilable/imports/test21299/mtype.d: New test.
+	* gdc.test/compilable/imports/test21299/rootstringtable.d: New test.
+	* gdc.test/compilable/test21299a.d: New test.
+	* gdc.test/compilable/test21299b.d: New test.
+	* gdc.test/compilable/test21299c.d: New test.
+	* gdc.test/compilable/test21299d.d: New test.
+
 2020-11-17  Tamar Christina  <tamar.christina@arm.com>
 
 	Backported from master:
diff --git a/libstdc++-v3/ChangeLog b/libstdc++-v3/ChangeLog
index f64e1d6676a..63679fefcc8 100644
--- a/libstdc++-v3/ChangeLog
+++ b/libstdc++-v3/ChangeLog
@@ -1,3 +1,64 @@
+2020-11-18  Patrick Palka  <ppalka@redhat.com>
+
+	Backported from master:
+	2020-11-18  Patrick Palka  <ppalka@redhat.com>
+
+	* include/std/ranges (join_view::_Iterator::_M_satisfy): Uglify
+	local variable inner.
+	(join_view::_Iterator::operator->): Use _Inner_iter instead of
+	_Outer_iter in the function signature as per LWG 3500.
+	* testsuite/std/ranges/adaptors/join.cc (test08): Test it.
+
+2020-11-18  Jonathan Wakely  <jwakely@redhat.com>
+
+	Backported from master:
+	2020-10-06  Jonathan Wakely  <jwakely@redhat.com>
+
+	* include/std/ranges (join_view): Remove deduction guide.
+	(views::join): Add explicit template argument list to prevent
+	deducing the wrong type.
+	* testsuite/std/ranges/adaptors/join.cc: Move test for LWG 3474
+	here, from ...
+	* testsuite/std/ranges/adaptors/join_lwg3474.cc: Removed.
+
+2020-11-18  Jonathan Wakely  <jwakely@redhat.com>
+
+	Backported from master:
+	2020-08-24  Jonathan Wakely  <jwakely@redhat.com>
+
+	* include/std/ranges (join_view): Add deduction guide (LWG 3474).
+	* testsuite/std/ranges/adaptors/join_lwg3474.cc: New test.
+
+2020-11-18  Jonathan Wakely  <jwakely@redhat.com>
+
+	Backported from master:
+	2020-09-10  Jonathan Wakely  <jwakely@redhat.com>
+
+	* include/std/version (__cpp_lib_array_constexpr)
+	(__cpp_lib_constexpr_char_traits): Only define C++17 value when
+	compiling C++17.
+
+2020-11-18  Jonathan Wakely  <jwakely@redhat.com>
+
+	Backported from master:
+	2020-06-15  Jonathan Wakely  <jwakely@redhat.com>
+
+	* include/bits/char_traits.h (__cpp_lib_constexpr_char_traits):
+	Update value for C++20.
+	* include/std/version (__cpp_lib_constexpr_char_traits): Likewise.
+	* testsuite/21_strings/char_traits/requirements/constexpr_functions_c++17.cc:
+	Update expected value.
+
+2020-11-18  Jonathan Wakely  <jwakely@redhat.com>
+
+	Backported from master:
+	2020-11-17  Jonathan Wakely  <jwakely@redhat.com>
+
+	PR libstdc++/97869
+	* include/precompiled/stdc++.h: Include <coroutine>.
+	* include/std/version (__cpp_lib_span): Check __cpp_lib_concepts
+	before defining.
+
 2020-11-17  Patrick Palka  <ppalka@redhat.com>
 
 	Backported from master:

